Bug 123314 - crash on page with Content-Type: text/html; charset=iso-2022-jp
crash on page with Content-Type: text/html; charset=iso-2022-jp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
http://search.luky.org/linux-new.2004...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 19:46 EDT by Edward J. Huff
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward J. Huff 2004-05-16 19:46:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Mozilla crashes when loading a certain URL, but loads the html fine
from a local copy via file:///  The HTTP headers included
Content-Type: text/html; charset=iso-2022-jp


Version-Release number of selected component (if applicable):
mozilla-1.4.2-0.9.0

How reproducible:
Always

Steps to Reproduce:
1. Start mozilla from icon on panel
2. Enter http://search.luky.org/linux-new.2004/msg00174.html in location.
3. Mozilla crashes.

    

Actual Results:  Mozilla crashes.

Expected Results:  Mozilla doesn't crash

Additional info:


[ejhuff@ducks bugreports]$ wget -S
http://search.luky.org/linux-new.2004/msg00174.html
--19:16:35--  http://search.luky.org/linux-new.2004/msg00174.html
           => `msg00174.html'
Resolving search.luky.org... done.
Connecting to search.luky.org[219.99.179.188]:80... connected.
HTTP request sent, awaiting response...
 1 HTTP/1.1 200 OK
 2 Date: Sun, 16 May 2004 23:16:35 GMT
 3 Server: Apache/1.3.26 (Unix) Debian GNU/Linux PHP/4.1.2
 4 Last-Modified: Sun, 16 May 2004 03:15:49 GMT
 5 ETag: "4f89f3-5558-40a6dce5"
 6 Accept-Ranges: bytes
 7 Content-Length: 21848
 8 Keep-Alive: timeout=15, max=100
 9 Connection: Keep-Alive
10 Content-Type: text/html; charset=iso-2022-jp
 
 
19:16:36 (23.95 KB/s) - `msg00174.html' saved [21848/21848]
 


The page does contain Japanese characters.  Emacs displays it with
-J:-- in the mode line, and shows the characters.

One of the lines with these characters is this:

[ejhuff@ducks bugreports]$ grep '^<FONT COLOR=red>' msg00174.html | od -c
0000000   <   F   O   N   T       C   O   L   O   R   =   r   e   d   >
0000020 033   $   B   $   3   $   N   >   p   J   s   $   ,   $   "   $
0000040   J   $   ?   $   N   C   5   $   7   $   F   $   $   $   ?   $
0000060   b   $   N   $   +   $   I   $   &   $   +   A   *   B   r   $
0000100   7   $   F   $   /   $   @   $   5   $   $   !   # 033   (   B
0000120   <   /   F   O   N   T   >   <   B   R   >  \n
Comment 1 Matthew Miller 2006-07-11 13:22:11 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:48:15 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.

Note You need to log in before you can comment on or make changes to this bug.